# -*- coding: utf-8 -*-
"""Sample model module."""

from sqlalchemy import *
from sqlalchemy.orm import mapper, relation
from sqlalchemy import Table, ForeignKey, Column
from sqlalchemy.types import Integer, Unicode
#from sqlalchemy.orm import relation, backref

from mirrormanager.model import DeclarativeBase, metadata, DBSession


class HostCategoryUrl(DeclarativeBase):
    __tablename__ = 'host_category_url'

    
    id = Column(Integer, primary_key=True)
    host_category = Column('host_category_id', Integer,
        ForeignKey('host_category.id'))
    url = Column(Text)
    private = Column(Boolean, default=False)

    def my_site(self):
        return self.host_category.my_site()
