# -*- coding: utf-8 -*-
"""Sample model module."""

from sqlalchemy import *
from sqlalchemy.orm import mapper, relation
from sqlalchemy import Table, ForeignKey, Column
from sqlalchemy.types import Integer, Unicode
#from sqlalchemy.orm import relation, backref

from mirrormanager.model import DeclarativeBase, metadata, DBSession


class CountryContinentRedirect(DeclarativeBase):
    __tablename__ = 'country_continent_redirect'
    
    id = Column(Integer, primary_key=True)
    country = Column(Text, nullable=False)
    continent = Column(Text, nullable=False)

    def _set_country(self, country):
        self._SO_set_country(country.upper())

    def _set_continent(self, continent):
        self._SO_set_continent(continent.upper())
