# -*- coding: utf-8 -*-
"""Sample model module."""

from sqlalchemy import *
from sqlalchemy.orm import mapper, relation
from sqlalchemy import Table, ForeignKey, Column
from sqlalchemy.types import Integer, Unicode
#from sqlalchemy.orm import relation, backref

from mirrormanager.model import DeclarativeBase, metadata, DBSession


class EmbargoedCountry(DeclarativeBase):
    __tablename__ = 'embargoed_country'
    
    id = Column(Integer, primary_key=True)
    country_code = Column(String, nullable=False)
