# -*- coding: utf-8 -*-
"""Sample model module."""

from sqlalchemy import *
from sqlalchemy.orm import mapper, relation
from sqlalchemy import Table, ForeignKey, Column
from sqlalchemy.types import Integer, Unicode
#from sqlalchemy.orm import relation, backref

from mirrormanager.model import DeclarativeBase, metadata, DBSession


class SiteAdmin(DeclarativeBase):
    __tablename__ = 'site_admin'

    id = Column(Integer, primary_key=True)
    username = Column(Text)
    site = Column('site_id', Integer, ForeignKey("site.id"))

    def my_site(self):
        return self.site
